FsmTape.h File Reference

Header FSM for Tape. More...

`#include "ES2_V4_app.h"`
Include dependency graph for FsmTape.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef enum fsmTapeevents | eEventsTape_t
| Enumeration holds all possible events for this state machine. More...
typedef enum fsmTapestates | eStatesTape_t
| Enumeration holds all defined states for video recorder state machine. More...

## Enumerations

enum | fsmTapeevents { evBegin = 0, evInOut, evEnd, EV_LAST_TAPE }
| Enumeration holds all possible events for this state machine. More...
enum | fsmTapestates { sTapeOut = 0, sTapeBegin, sTapeEnd, sTapeBetween, STATE_LAST_TAPE }
| Enumeration holds all defined states for video recorder state machine. More...

## Functions

_Bool | bFsmTapeInitialize (void)
| Wrapper function to statemachine_init(). More...
_Bool | bFsmTapeDispatchEvent (int32_t event)
| Sends an event to the state machine. More...
int32_t | s32FsmTapeGetState (void)
| Returns the current state of the fsm. More...
_Bool | bFsmTapeIsStateChanged (void)
| Indicates if a state changed happend. More...
const char * | pcFsmTapeGetStateName (void)
| Get the name of the current state. More...
void | vEntry_sTapeBegin (void)
| entry for sTapeBegin More...
void | vEntry_sTapeBetween (void)
| entry for sTapeBetween More...
void | vEntry_sTapeEnd (void)
| entry for sTapeEnd More...
void | vEntry_sTapeOut (void)
| entry for sTapeOut More...

## Detailed Description

Header FSM for Tape.

Author
  Hendrik Schutter

Version
  V1.0

Date
  27.10.2020

This file contains the Header FSM for Tape.

## Typedef Documentation

## eEventsTape_t

typedef enum fsmTapeevents eEventsTape_t

Enumeration holds all possible events for this state machine.

## eStatesTape_t

typedef enum fsmTapestates eStatesTape_t

Enumeration holds all defined states for video recorder state machine.

## Enumeration Type Documentation

## fsmTapeevents

enum fsmTapeevents

Enumeration holds all possible events for this state machine.

Enumerator
evBegin |
evInOut |
evEnd |
EV_LAST_TAPE |

## fsmTapestates

enum fsmTapestates

Enumeration holds all defined states for video recorder state machine.

Enumerator
sTapeOut | no tape present
sTapeBegin | tape on begin
sTapeEnd | tape on end
sTapeBetween | tape is playing
STATE_LAST_TAPE |

## Function Documentation

## bFsmTapeDispatchEvent()

_Bool bFsmTapeDispatchEvent | ( | int32_t | s32Event | ) |

Sends an event to the state machine.

This functions wrapps the statemachine_dispatchEvent() function, overgives the event id and returns the return value of statemachine_dispatchEvent().

Parameters

  event | Event for the state machine.

Returns
  Returns the return value of statemachine_dispatchEvent().

Sends an event to the state machine.

Parameters

  void |

Returns
  _Bool

Author
  hendrik schutter

Date
  27.10.2020

Here is the call graph for this function:
Here is the caller graph for this function:

## bFsmTapeInitialize()

_Bool bFsmTapeInitialize | ( | void |  | ) |

Wrapper function to statemachine_init().

Initializes the state machine with the state table, the number of states and events and the start state. Returns the return value of the statemachine_init() function.

Returns
  Returns the return value from the statemachine_init().

Wrapper function to statemachine_init().

Parameters

  void |

Returns
  _Bool

Author
  hendrik schutter

Date
  27.10.2020

Here is the call graph for this function:
Here is the caller graph for this function:

## bFsmTapeIsStateChanged()

_Bool bFsmTapeIsStateChanged | ( | void |  | ) |

Indicates if a state changed happend.

This function returns a TRUE if the state of the fsm changed initiated by the last event

Returns
  Returns the current state of the fsm

Indicates if a state changed happend.

Parameters

  voids |

Returns
  _Bool

Author
  hendrik schutter

Date
  27.10.2020

Here is the call graph for this function:
Here is the caller graph for this function:

## pcFsmTapeGetStateName()

const char* pcFsmTapeGetStateName | ( | void |  | ) |

Get the name of the current state.

Returns
  Returns a pointer to the current state namen

Get the name of the current state.

Parameters

  void |

Returns
  const char* State Name

Author
  hendrik schutter

Date
  27.10.2020

Here is the call graph for this function:

## s32FsmTapeGetState()

int32_t s32FsmTapeGetState | ( | void |  | ) |

Returns the current state of the fsm.

Returns
  Returns current state of the fsm.

Returns the current state of the fsm.

Parameters

  voids |

Returns
  int32_t FSM state

Author
  hendrik schutter

Date
  27.10.2020

Here is the call graph for this function:
Here is the caller graph for this function:

## vEntry_sTapeBegin()

void vEntry_sTapeBegin | ( | void |  | ) |

entry for sTapeBegin

Parameters

  void |

Returns
  void

Author
  hendrik schutter

Date
  27.10.2020

## vEntry_sTapeBetween()

void vEntry_sTapeBetween | ( | void |  | ) |

entry for sTapeBetween

Parameters

  void |

Returns
  void

Author
  hendrik schutter

Date
  27.10.2020

## vEntry_sTapeEnd()

void vEntry_sTapeEnd | ( | void |  | ) |

entry for sTapeEnd

Parameters

  void |

Returns
  void

Author
  hendrik schutter

Date
  27.10.2020

## vEntry_sTapeOut()

void vEntry_sTapeOut | ( | void |  | ) |

entry for sTapeOut

Parameters

  void |

Returns
  void

Author
  hendrik schutter

Date
  27.10.2020